'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function VariableMix(theme) {
  var Core = theme.Core;
  var ComponentCustomStyle = theme.Tabbar;

  /**
   * 可切换试图
   * @namespace component
   * @property module tabbar
   * @property tag Tabbar
   * @property category component
   */
  var tabbarVaribles = {
    /**
     * padding(l,r)
     * @property namespace size/item
     */
    'icon-item-padding-left-right': Core['s-2'],
    /**
     * height
     * @property namespace size/bounding
     */

    'icon-height': Core['s-16'],
    /**
     * icon-margin(b)
     * @property namespace size/item
     */

    'icon-item-icon-margin-bottom': Core['s-2'],
    /**
     * icon-size
     * @property namespace size/item
     */

    'icon-item-icon-size': Core['icon-xl'],

    /**
     * icon
     * @property namespace statement
     */

    'icon-item-icon-color': Core['color-text1-2'],

    /**
     * icon
     * @property namespace statement/selected
     */

    'icon-item-selected-icon-color': Core['color-brand1-6'],
    /**
     * text
     * @property namespace statement/selected
     */

    'icon-item-selected-color': Core['color-brand1-6'],
    /**
     * text
     * @property namespace statement
     */

    'icon-item-color': Core['color-text1-2'],
    /**
     * text
     * @property namespace size/text
     */

    'icon-item-font-size': Core['font-size-body-1'],

    /**
     * background
     * @property namespace statement
     */

    'icon-item-bg-color': Core['color-white'],
    /**
     * padding(l,r)
     * @property namespace size/content
     */

    'bar-content-padding-left-right': Core['s-2'],
    /**
     * padding(t,b)
     * @property namespace size/content
     */

    'bar-content-padding-top-bottom': Core['s-0'],
    /**
     * margin(t)
     * @property namespace size/content
     */

    'bar-content-margin-top': Core['s-2'],
    /**
     * text
     * @property namespace size/text
     */

    'bar-item-font-size': Core['font-size-body-1'],
    /**
     * padding(l,r)
     * @property namespace size/item
     */

    'bar-item-padding-left-right': Core['s-2'],
    /**
     * height
     * @property namespace size/bounding
     */

    'bar-item-height': Core['s-11'],
    /**
     * padding(l,r)
     * @property namespace size/item
     */

    'bar-item-padding-top-bottom': Core['s-4'],

    /**
     * bar-margin(b)
     * @property namespace size/item
     */

    'bar-item-bar-margin-bottom': Core['s-2'],
    /**
     * text
     * @property namespace statement/selected
     */

    'bar-item-selected-color': Core['color-brand1-6'],
    /**
     * text
     * @property namespace statement
     */

    'bar-item-color': Core['color-text1-2'],
    /**
     * background
     * @property namespace statement
     */

    'bar-item-bg-color': Core['color-white'],
    /**
     * min-width
     * @property namespace size/item
     */

    'bar-item-min-width': Core['s-20'],
    /**
     * width
     * @property namespace size/separator
     */

    'bar-item-separator-width': Core['line-1'],
    /**
     * height
     * @property namespace size/separator
     */

    'bar-item-separator-height': Core['s-4'],

    /**
     * item-separator
     * @property namespace statement
     */

    'bar-item-separator-color': Core['color-text1-1'],
    /**
     * item-separator-style
     * @property namespace statement
     */

    'bar-item-separator-style': Core['line-solid'],
    /**
     * border
     * @property namespace statement
     */

    'bar-border-bottom-color': Core['color-line1-3'],

    /**
     * width
     * @property namespace size/border
     */

    'bar-border-bottom-width': Core['line-1'],
    /**
     * border
     * @property namespace statement
     */

    'bar-border-bottom-style': Core['line-solid'],
    /**
     * height
     * @property namespace size/indicator
     */

    'bar-indicator-height': 8,
    /**
     * indicator
     * @property namespace statement/selected
     */

    'bar-indicator-bg-color': Core['color-brand1-6'],
    /**
     * indicator
     * @property namespace size/bouuding
     */

    'bar-indicator-margin-bottom': -2,
    /**
     * background
     * @property namespace statement/selected
     */

    'bar-item-selected-bg-color': Core['color-white'],
    /**
     * size
     * @property namespace size/arrow
     */

    'bar-more-icon-size': Core['icon-xs'],
    /**
     * arrow
     * @property namespace statement
     */

    'bar-more-icon-color': Core['color-text1-2'],
    /**
     * border-style
     * @property namespace statement
     */

    'capsule-border-style': Core['line-solid'],

    /**
     * border
     * @property namespace statement
     */

    'capsule-border-color': Core['color-brand1-6'],
    /**
     * width
     * @property namespace size/border
     */

    'capsule-border-width': Core['line-1'],
    /**
     * corner
     * @property namespace statement
     */

    'capsule-border-corner': Core['corner-3'],
    /**
     * separator-width
     * @property namespace size/item
     */

    'capsule-separator-width': Core['line-1'],

    /**
     * separator-style
     * @property namespace statement
     */

    'capsule-separator-style': Core['line-solid'],
    /**
     * padding(l,r)
     * @property namespace size/item
     */

    'capsule-item-padding-left-right': Core['s-4'],
    /**
     * height
     * @property namespace size
     */

    'capsule-height': Core['s-8'],

    /**
     * text
     * @property namespace size/text
     */

    'capsule-item-font-size': Core['font-size-body-1'],
    /**
     * text
     * @property namespace statement
     */

    'capsule-item-color': Core['color-brand1-6'],
    /**
     * background
     * @property namespace statement
     */

    'capsule-item-bg-color': Core['color-white'],
    /**
     * text
     * @property namespace statement/selected
     */

    'capsule-item-selected-color': Core['color-white'],
    /**
     * background
     * @property namespace statement/selected
     */

    'capsule-item-selected-bg-color': Core['color-brand1-6'],
    /**
     * border-style
     * @property namespace statement
     */

    'app-border-style': Core['line-solid'],
    /**
     * border
     * @property namespace statement
     */

    'app-border-color': Core['color-line1-3'],
    /**
     * width
     * @property namespace size/border
     */

    'app-border-width': Core['line-1'],
    /**
     * padding(t,b)
     * @property namespace size/item
     */

    'app-item-padding-top-bottom': Core['s-2'],
    /**
     * padding(l,r)
     * @property namespace size/item
     */

    'app-item-padding-left-right': Core['s-4'],
    /**
     * min-height
     * @property namespace size/bounding
     */

    'app-height': Core['s-11'],
    /**
     * item-background
     * @property namespace statement
     */

    'app-item-bg-color': Core['color-white'],
    /**
     * item-text
     * @property namespace statement
     */

    'app-item-color': Core['color-text1-2'],
    /**
     * text
     * @property namespace size/item
     */

    'app-item-font-size': Core['font-size-body-1'],
    /**
     * item-background
     * @property namespace statement/selected
     */

    'app-item-selected-bg-color': Core['color-white'],
    /**
     * item-text
     * @property namespace statement/selected
     */

    'app-item-selected-color': Core['color-brand1-6'],
    /**
     * size
     * @property namespace size/icon
     */

    'app-item-icon-size': Core['icon-l'],
    /**
     * margin(b)
     * @property namespace size/icon
     */

    'app-item-icon-margin-bottom': Core['s-1']
  };
  // should alway use var statement to carray a assigngg
  var variable = Object.assign(tabbarVaribles, ComponentCustomStyle);
  return variable;
}

exports.default = VariableMix;
module.exports = exports['default'];